version: "3.8"

services:
  web:
    container_name: mc-web-patata
    image: nginx
    volumes:
      - ./web:/usr/share/nginx/html
    ports:
      - "8080:80"
  mc:
    image: itzg/minecraft-server
    tty: true
    stdin_open: true
    depends_on:
      - web
    ports:
      - "25565:25565"
    restart: unless-stopped
    container_name: mc-forge-patata
    environment:
      OVERRIDE_SERVER_PROPERTIES: "TRUE"
      EULA: "TRUE"
      # PACKWIZ_URL: http://patatapack.oier.ovh:8080/pack.toml
      TYPE: FORGE
      VERSION: 1.20.1
      FORGE_VERSION: 47.1.47
      MEMORY: 30G
      MOTD: "§l§cPatataPack§r"
      ONLINE_MODE: "FALSE"
      ALLOW_FLIGHT: "TRUE"
      OPS: Bailongo
      EXISTING_OPS_FILE: SYNCHRONIZE
      ICON:  http://patatapack.oier.ovh:8080/patata-icon.png
    volumes:
      - ../patata-data:/data
      #- ./simple-discord-bot.toml:/data/config/simple-discord-bot.toml
